import { RegisterInput } from '@/domain/services/AuthDomainService';
import { IAuthRepository } from '@/application/ports/IAuthRepository';

export class RegisterUseCase {
  constructor(private readonly auth: IAuthRepository) {}

  execute(data: RegisterInput): boolean {
    return this.auth.register(data);
  }
}